unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Grids,
  Menus, StdCtrls, Buttons;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    StringGrid1: TStringGrid;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;
  
  TElem=Record
     tipus:String[30];
     LE,suly:Integer;
     szin,rdsz:String[7];
  end;

var
  Form1: TForm1;
  f:File of TElem;

implementation

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var e:TElem;
    i:Integer;
begin
   If OpenDialog1.Execute then begin
      AssignFile(f,OpenDialog1.FileName);
      Reset(f);
      
      StringGrid1.RowCount:=FileSize(f)+1;

      For i:=0 to FileSize(f)-1 do begin;
         Read(f,e);
         StringGrid1.Cells[0,i+1]:=e.tipus;
         StringGrid1.Cells[1,i+1]:=IntToStr(e.LE);
         StringGrid1.Cells[2,i+1]:=IntToStr(e.suly);
         StringGrid1.Cells[3,i+1]:=e.szin;
         StringGrid1.Cells[4,i+1]:=e.rdsz;
         end;
         
      CloseFile(f);
      end;
end;

procedure TForm1.Button2Click(Sender: TObject);
var e:TElem;
    i:Integer;
begin
   If SaveDialog1.Execute then begin
      AssignFile(f,SaveDialog1.FileName);
      ReWrite(f);
      
      For i:=1 to StringGrid1.RowCount-1 do begin
         e.tipus:=StringGrid1.Cells[0,i];
         e.LE:=StrToInt(StringGrid1.Cells[1,i]);
         e.suly:=StrToInt(StringGrid1.Cells[2,i]);
         e.szin:=StringGrid1.Cells[3,i];
         e.rdsz:=StringGrid1.Cells[4,i];
         Write(f,e);
         end;
      
      CloseFile(f);
      end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   StringGrid1.RowCount:=StrToInt(Edit1.Text);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   Close;
end;

initialization
  {$I unit1.lrs}

end.

